<template>
    <view class="container">
        <mp-html :content="content" class="mar_t50"></mp-html>
    </view>
</template>

<script>
import { post } from "@/request/api.js";
import mpHtml from "@/uni_modules/mp-html/components/mp-html/mp-html.vue"
export default {
    data() {
        return {
            content: "",
        };
    },
    onLoad(da) {
        this.loadData(da.type);
        uni.setNavigationBarTitle({ title: decodeURI(da.tit) });
    },
    methods: {
        loadData(type) {
            post("v1/my/article", { type }).then((res) => {
                if (res.code == 0) {
                    this.content = res.data.data.content;
                }
            });
        },
    },
    components: {
        mpHtml,
    },
};
</script>

<style lang="scss" scoped>
// 用户须知
.container {
    border-top: 20rpx solid #f5f5f5;
    padding: 0 20rpx;
    box-sizing: border-box;
}
// 用户须知-end
</style>
